summaryrefslogtreecommitdiff
path: root/tests/misc/selinux
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/selinux')
-rwxr-xr-xtests/misc/selinux10
1 files changed, 5 insertions, 5 deletions
diff --git a/tests/misc/selinux b/tests/misc/selinux
index 810996c87..12ae15f4e 100755
--- a/tests/misc/selinux
+++ b/tests/misc/selinux
@@ -37,23 +37,23 @@ chcon $ctx f d p ||
# inspect that context with both ls -Z and stat.
for i in d f p; do
- c=`ls -dogZ $i|cut -d' ' -f3`; test x$c = x$ctx || fail=1
- c=`stat --printf %C $i`; test x$c = x$ctx || fail=1
+ c=$(ls -dogZ $i|cut -d' ' -f3); test x$c = x$ctx || fail=1
+ c=$(stat --printf %C $i); test x$c = x$ctx || fail=1
done
# ensure that ls -l output includes the ".".
-c=`ls -l f|cut -c11`; test "$c" = . || fail=1
+c=$(ls -l f|cut -c11); test "$c" = . || fail=1
# Copy each to a new directory and ensure that context is preserved.
cp -r --preserve=all d f p s1 || fail=1
for i in d f p; do
- c=`stat --printf %C s1/$i`; test x$c = x$ctx || fail=1
+ c=$(stat --printf %C s1/$i); test x$c = x$ctx || fail=1
done
# Now, move each to a new directory and ensure that context is preserved.
mv d f p s2 || fail=1
for i in d f p; do
- c=`stat --printf %C s2/$i`; test x$c = x$ctx || fail=1
+ c=$(stat --printf %C s2/$i); test x$c = x$ctx || fail=1
done
Exit $fail